WordPress.org

Ready to get started?Download WordPress

Forums

Memory issues (10 posts)

  1. Topher
    Member
    Posted 3 years ago #

    We're getting memory over-runs ONLY when trying to install or upgrade plugins. It doesn't seem to matter how high I set the memory_limit, it's at 512 right now.

    I don't see anything else in our log files about it, other than we're running out of ram.

    Where else can I look?

  2. You get them when you use the built in upgrade tool right, and NOT if you do them manually?

    It's probably the way your PHP instance is installed. I would just do it manually, if everything else works.

  3. Topher
    Member
    Posted 3 years ago #

    Correct, manual works fine. It would be really handy to be able to use the tool though.

  4. Yeah, sadly, it's most likely the way PHP was installed on the server. I've seen that happen with SuPHP a lot. I never managed to fix it.

  5. Topher
    Member
    Posted 3 years ago #

    There are a couple actions we can do in wordpress to make it time out. One is trying to upgrade or install any plugin or wordpress itself from within the admin panel.

    A new one today is updating a Custom Menu in the Menu's admin, under Appearance. There are about 240 items in this particular menu. Other menus don't cause this issue.

    My research indicates that we're running out of ram. I've increased it several times, and I'm up to 1024 available in php.ini.

    That's enough that I'm thinking there's a deeper problem somewhere.

    Anyone have any ideas?

  6. 1024 megs of ram & it's topping out? Yeah, the apache config is wrong somehow.

  7. The actions you mention, the upgrading plugin/wordpress from in the admin panels, is a ... well I would say a known issue, but in that weird way. That's usually to do with how the FTP via PHP functions are setup on your server.

    Is there a deeper problem? Oh certainly. But there's really no way to make WP work perfectly on very possible server combination.

    Your problem is your install of PHP and how it handles all this. So what kind of PHP did you install? SuPHP, FastCGI?

    Default PHP Version (should be 5, but what's the full version)
    PHP 5 Handler (dso, cgi, whatever)
    Apache suEXEC on/off

    Is safe mode on or off? What about magic quotes?

  8. Topher
    Member
    Posted 3 years ago #

    We're running FastCGI on MediaTemple. Except for switching to FastCGI it's their stock setup on the DV servers.

    Safe_mode and magic_quotes are both off.

  9. And the rest? PHP full version, handler, suEXEC?

  10. Topher
    Member
    Posted 3 years ago #

    PHP Version 5.3.5

    No suEXEC

    Server API CGI/FastCGI

    Here are the configure vals:

    Configure Command './configure' '--build=x86_64-redhat-linux-gnu' '--host=x86_64-redhat-linux-gnu' '--target=x86_64-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/usr/com' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--cache-file=../config.cache' '--with-libdir=lib64' '--with-config-file-path=/etc' '--with-config-file-scan-dir=/etc/php.d' '--disable-debug' '--with-pic' '--disable-rpath' '--without-pear' '--with-bz2' '--with-exec-dir=/usr/bin' '--with-freetype-dir=/usr' '--with-png-dir=/usr' '--with-xpm-dir=/usr' '--enable-gd-native-ttf' '--with-t1lib=/usr' '--without-gdbm' '--with-gettext' '--with-gmp' '--with-iconv' '--with-jpeg-dir=/usr' '--with-openssl' '--with-zlib' '--with-layout=GNU' '--enable-exif' '--enable-ftp' '--enable-magic-quotes' '--enable-sockets' '--with-kerberos' '--enable-ucd-snmp-hack' '--enable-shmop' '--enable-calendar' '--with-libxml-dir=/usr' '--enable-xml' '--with-system-tzdata' '--enable-force-cgi-redirect' '--enable-pcntl' '--with-imap=shared' '--with-imap-ssl' '--enable-mbstring=shared' '--enable-mbregex' '--with-gd=shared' '--enable-bcmath=shared' '--enable-dba=shared' '--with-db4=/usr' '--with-xmlrpc=shared' '--with-ldap=shared' '--with-ldap-sasl' '--with-mysql=shared,/usr' '--with-mysqli=shared,/usr/lib64/mysql/mysql_config' '--with-oci8=shared,instantclient,/usr/lib64/oracle/11.2/client64/lib,11.2' '--with-pdo-oci=shared,instantclient,/usr,11.2' '--with-interbase=shared,/usr/lib64/firebird' '--with-pdo-firebird=shared,/usr/lib64/firebird' '--enable-dom=shared' '--with-pgsql=shared' '--enable-wddx=shared' '--with-snmp=shared,/usr' '--enable-soap=shared' '--with-xsl=shared,/usr' '--enable-xmlreader=shared' '--enable-xmlwriter=shared' '--with-curl=shared,/usr' '--enable-fastcgi' '--enable-pdo=shared' '--with-pdo-odbc=shared,unixODBC,/usr' '--with-pdo-mysql=shared,/usr/lib64/mysql/mysql_config' '--with-pdo-pgsql=shared,/usr' '--with-pdo-sqlite=shared,/usr' '--with-pdo-dblib=shared,/usr' '--without-sqlite3' '--with-sqlite=shared,/usr' '--enable-json=shared' '--enable-zip=shared' '--without-readline' '--with-libedit' '--with-pspell=shared' '--enable-phar=shared' '--with-mcrypt=shared,/usr' '--with-tidy=shared,/usr' '--with-mssql=shared,/usr' '--enable-sysvmsg=shared' '--enable-sysvshm=shared' '--enable-sysvsem=shared' '--enable-posix=shared' '--with-unixODBC=shared,/usr' '--enable-fileinfo=shared' '--enable-intl=shared' '--with-icu-dir=/usr' '--with-enchant=shared,/usr' '--with-recode=shared,/usr'

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags